<script setup>
import {UseAppStore} from "@/Stores/AppStore";
import Header from "@/Components/Header.vue";
const AppStore = UseAppStore();
import Footer from "@/Components/Footer.vue";
import FooterMobile from "@/Components/FooterMobile.vue";
import Modals from '@/Components/Modals.vue';
import BasketTop from "@/Components/Layouts/BasketTop.vue";
import LeftSidebar from "@/Components/LeftSidebar.vue";
</script>

<template>
    <body :class="AppStore.themeSite">
    <Header/>
    <main class="main">
        <basket-top/>
        <section class="basket">
            <div class="container">
                <div class="basket__inner">
                    <LeftSidebar/>
                    <slot/>
                </div>
            </div>
        </section>
    </main>
    <Footer/>
    <FooterMobile/>
    <Modals/>
    </body>
</template>
